ant compatibility issue

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

ant compatibility issue

Tom Huybrechts
It looks like the Ant project configuration has changed incompatibly
in one of the last releases.

I used to specify my custom build file with -f my-build.xml in the
targets field (together with all other options and properties)
After upgrading to trunk, I'm getting this error:
Unable to find build script at ..../build.xml

If I use the build file property everything works as expected...

Probably related to r9840 ?

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: ant compatibility issue

Kohsuke Kawaguchi
Administrator

Ah, you are right. Yes. That's it.

I fixed the code to take -f (and its aliases) into account.
This will be in 1.226.

Tom Huybrechts wrote:

> It looks like the Ant project configuration has changed incompatibly
> in one of the last releases.
>
> I used to specify my custom build file with -f my-build.xml in the
> targets field (together with all other options and properties)
> After upgrading to trunk, I'm getting this error:
> Unable to find build script at ..../build.xml
>
> If I use the build file property everything works as expected...
>
> Probably related to r9840 ?
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>

--
Kohsuke Kawaguchi
Sun Microsystems                   [hidden email]

smime.p7s (4K) Download Attachment